## qpopper 2.2

=== Makefile ===
#@(#)@(#)Makefile	2.5  2.5 4/3/91

DOCS		=	README pop3.rfc1081 pop3e.rfc1082 popper.8

INCLUDES	=	popper.h version.h

SRCS		=	${CSRCS} ${INCLUDES}

SCCS		=	/usr/ucb/sccs

REL		=

MAKEFILE	=	Makefile

TARGET		=	popper

TAR		=	${TARGET}.tar

INSTALLDIR	=	/tmp

MANPAGE		=	popper.8

CATPAGE		=	popper.0

MANDIR		=	/usr/local/man/cat8



all:
	@echo ""
	@echo "Enter make <your system> here"
	@echo "below are the currently supported system."
	@echo "Enter the one appropriate to your site."
	@echo ""
	@echo "    make sunos (4.x berkeley ish)"
	@echo "    make solaris2 (SVR4 w/Solaris 2.x specific mods)"
	@echo "    make 44bsd"
	@echo "    make bsdi"
	@echo "    make next"
	@echo "    make isc"
	@echo "    make aix"
	@echo "    make ultrix"
	@echo "    make sysv"
	@echo "    make hpux"
	@echo "    make hpux10 (OS version 10.x)"
	@echo "    make aux"
	@echo "    make unixware (NCR)"
	@echo "    make sco"
	@echo "    make scor5 (SCO Open Server 5)"
	@echo "    make ptx"
	@echo "    make irix"
	@echo "    make pyramid"
	@echo "    make linux"
	@echo "    make next"
	@echo "    make osf1"
	@echo ""

sunos:
	make -f make.sunos

solaris2:
	make -f make.solaris2

isc:
	make -f make.isc

aix:
	make -f make.aix

ultrix:
	make -f make.ultrix

sysv:
	make -f make.sysv

hpux:
	make -f make.hpux

hpux10:
	make -f make.hpux10

aux:
	make -f make.aux

irix:
	make -f make.irix

pyramid:
	make -f make.pyramid

sco:
	make -f make.sco

scor5:
	make -f make.scor5

ptx:
	make -f make.ptx

unixware:
	make -f make.unixware

linux:
	make -f make.linux

osf1:
	make -f make.osf1

44bsd:
	make -f make.44bsd

bsdi:
	make -f make.bsdi

next:
	make -f make.next

tar: ${SRCS} ${DOCS} ${MAKEFILE}
	rm -f ${TAR} *.Z*
	tar -cvf ${TAR} ${SRCS} ${DOCS} ${MAKEFILE}
	compress ${TAR}
	uuencode ${TAR}.Z ${TAR}.Z > ${TAR}.Z.uuencoded
	split -300 ${TAR}.Z.uuencoded
	mv xaa ${TAR}.Z.uuencoded.xaa
	mv xab ${TAR}.Z.uuencoded.xab
	mv xac ${TAR}.Z.uuencoded.xac
	mv xad ${TAR}.Z.uuencoded.xad
	mv xae ${TAR}.Z.uuencoded.xae

clean:
	rm -f core *.o *.Z*

installman:
	rm -f ${CATPAGE}
	nroff -man ${MANPAGE} > ${CATPAGE}
	install -c -m 644 -o root -g staff ${CATPAGE} ${MANDIR}

sources: ${SRCS}

${SRCS}:
	${SCCS} get ${REL} $@ -p | expand -4 > $@

${DOCS}:
	${SCCS} get README -p | expand -4 > README
	${SCCS} get popper.8 -p | expand -4 > popper.8

## qpopper 2.2-1

=== debian/control ===
Package: qpopper
Description: Enhanced Post Office Protocol server (POP3).
 This is The Qualcomm enhanced version of the Post Office Protocol Daemon
 (POP3 daemon), based on the latest BSD version. The QualComm popper has
 some extensions to the normal pop3 daemon, such as UIDL and bulletin support.
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Version: =V-=D
Depends: netbase
Section: net
Priority: optional
Architecture: =A

=== debian/rules ===
#! /usr/bin/make -f
#
#

# The name of the package (for example, `emacs').
p = qpopper
# The version of the package (for example, `19.28').
v = 2.2
# The Debian revision of the package (for example, `2').
d = 1
# The urgency of the release (for the changes file)
urg = medium
# Distributions this has to go in.
dist = "unstable"

# The architecture of the build
a = $(shell dpkg --print-architecture)

build:
# Builds the binary package.
	make -f make.linux
	touch stamp-build

clean:
# Undoes the effect of `make -f debian/rules build'.
	@-if [ -d debian-tmp ]; then \
		echo "Enter the root password to clean up the debian-tmp dir";\
		su -c "rm -rf debian-tmp";\
	fi
	make -f make.linux clean
	find . -name '*.bak' -o -name '*~' | xargs rm -f --
	rm -f loadmap popper.linux
	rm -f stamp-build


binary:
# Makes a binary package.
	test -f stamp-build || make -f debian/rules build
	@-[ "`whoami`" != root ] && \
		echo "Enter the root password to build the .deb file"
	@su -c "exec make -f debian/rules binary-root"

binary-root:
# Makes a binary package.
	rm -rf debian-tmp
	install -d -g root -m 755 debian-tmp
	chmod g-s debian-tmp
	install -d -g root -m 755 debian-tmp/usr/doc/$p
	install -d -g root -m 755 debian-tmp/usr/sbin
	install -d -g root -m 755 debian-tmp/usr/bin
	install -d -g root -m 755 debian-tmp/var/spool/popbull
	install -d -g root -m 755 debian-tmp/usr/man/man8
	install -d -g root -m 755 debian-tmp/DEBIAN
	install -s -g root -m 755 popper.linux debian-tmp/usr/sbin/in.qpopper
	install -g root -m 644 popper.8 debian-tmp/usr/man/man8/qpopper.8
	install -s -o mail -g root -m 4755 popauth debian-tmp/usr/bin
	install -g root -m 644 popauth.8 debian-tmp/usr/man/man8/popauth.8
	echo ".so man8/qpopper.8" > debian-tmp/usr/man/man8/in.qpopper.8
	install -g root -m 644 debian/qpopper.doc debian-tmp/usr/doc/$(p)
	sed -e 's/=V/$(v)/' -e 's/=D/$(d)/' -e 's/=A/$(a)/' debian/control \
	  > debian-tmp/DEBIAN/control
	chmod 644 debian-tmp/DEBIAN/control
	install -g root -m 755 debian/postinst debian-tmp/DEBIAN/postinst
	install -g root -m 755 debian/postrm debian-tmp/DEBIAN/postrm
	dpkg --build debian-tmp
	mv debian-tmp.deb ../$(p)_$(v)-$(d)_$(a).deb
	rm -rf debian-tmp

source:
# Makes a source package.
	-test -f stamp-build && make -f debian/rules clean
	( cd .. && tar cf - $(p)_$(v) | gzip -9f > $(p)_$(v)-$(d).tar.gz )

diff:
# Makes a context diff.
	-test -f stamp-build && make -f debian/rules clean
	-test -d ../$(p)_$(v).orig \
	  || ( echo "Original source package is not available." ; false )
	( cd .. && diff -ruN $(p)_$(v).orig $(p)_$(v) | gzip -9f \
	  > $(p)_$(v)-$(d).diff.gz )

changes:
# Makes the dchanges file
	test -f ../$(p)_$(v)-$(d)_$(a).deb || \
		(echo ".deb file not available"; false)
	test -f ../$(p)_$(v)-$(d).diff.gz || \
		(echo ".diff.gz file not available"; false)
	test -f ../$(p)_$(v)-$(d).tar.gz || \
		(echo ".tar.gz file not available"; false)
	(cd .. && dchanges -n urg=$(urg) dist=$(dist) \
		ce=$(p)_$(v)/debian/changes \
		$(p)_$(v)-$(d)_$(a).deb \
		$(p)_$(v)-$(d).tar.gz \
		$(p)_$(v)-$(d).diff.gz)

dist: binary source diff changes
# Prepares the package for distribution.

orig:
# Prepares the original package from the current
# Debian revision source package and context diff.
	( cd .. \
	  && mkdir $(p).orig \
	  && cd $(p).orig \
	  && tar xzf ../$(p)_$(v)-$(d).tar.gz \
	  && cd $(p)_$(v) \
	  && ( zcat ../../$(p)_$(v)-$(d).diff.gz \
	    | patch -sER -p1 ) \
	  && find . -name "*.orig" -exec rm -f {} \; \
	  && cd .. \
	  && mv $(p)_$(v) ../$(p)_$(v).orig \
	  && cd .. \
	  && rmdir $(p).orig )
	touch stamp-orig

## qpopper 4.0.5

=== mmangle/test/Makefile ===
CC		=	gcc 
TARGET		=	testj
LDFLAGS		=	
VPATH		=	..:
CDEBUGFLAGS	=	-g
#CDEBUGFLAGS	=	-g -Wall
CDEBUGDEFS	=	-D_DEBUG
CRELEASEFLAGS	=	-DUNIX
OBJS		=	mime.o mangle.o utils.o enriched.o striphtml.o \
			lineend.o etags.o
INCLUDEDIRS	= 	-I..


all: ${TARGET}

${TARGET} : ${OBJS} ${TARGET}.o
	${CC} ${OBJS} ${TARGET}.o -o ${TARGET} ${LDFLAGS}

%.o: %.c
	${CC} ${CDEBUGFLAGS} ${CRELEASEFLAGS} -c ${CDEBUGDEFS} ${INCLUDEDIRS} $< -o $@

clean:
	rm -f ${OBJS}
	rm -f ${TARGET}
	rm -f *~
